Critical severity vulnerability that affects marginalia

2019-07-26T16:10:15
ID GHSA-HRJ5-QP7X-RPG6
Type github
Reporter GitHub Advisory Database
Modified 2019-07-31T03:34:14

Description

marginalia < 1.6 is affected by: SQL Injection. The impact is: The impact is a injection of any SQL queries when a user controller argument is added as a component. The component is: Affects users that add a component that is user controller, for instance a parameter or a header. The attack vector is: Hacker inputs a SQL to a vulnerable vector(header, http parameter, etc). The fixed version is: 1.6.